Qt 5.11 | Qt 3D | C++ Classes | QNodeId

Qt 5.11.3 Reference Documentation

# QNodeId Class

(Qt3DCore::QNodeId)

Uniquely identifies a QNode. More...

Header: | #include <Qt3DCore/QNodeId>
qmake: | QT += 3dcore

- List of all members, including inherited members

## Public Functions

| QNodeId()
quint64 | id() const
bool | isNull() const
bool | operator bool() const
bool | operator!=(Qt3DCore::QNodeId other) const
bool | operator<(Qt3DCore::QNodeId other) const
bool | operator==(Qt3DCore::QNodeId other) const
bool | operator>(Qt3DCore::QNodeId other) const

## Static Public Members

Qt3DCore::QNodeId | createId()

## Related Non-Members

typedef | QNodeIdVector
uint | qHash(Qt3DCore::QNodeId id, uint seed = ...)

## Detailed Description

Uniquely identifies a QNode.

## Member Function Documentation

### QNodeId::QNodeId()

Default constructs an instance of QNodeId.

### `[static]` Qt3DCore::QNodeId QNodeId::createId()

Returns node id.

### quint64 QNodeId::id() const

Returns

### bool QNodeId::isNull() const

Returns

### bool QNodeId::operator bool() const

Returns

### bool QNodeId::operator!=(Qt3DCore::QNodeId other) const

Returns `true` if `this` != other.

### bool QNodeId::operator<(Qt3DCore::QNodeId other) const

Returns `true` if `this` < other.

### bool QNodeId::operator==(Qt3DCore::QNodeId other) const

Returns `true` if `this` == other.

### bool QNodeId::operator>(Qt3DCore::QNodeId other) const

Returns `true` if `this` > other.

## Related Non-Members

### typedef Qt3DCore::QNodeIdVector

A vector of QNodeIds.

### uint Qt3DCore::qHash(Qt3DCore::QNodeId id, uint seed = ...)

Returns hash of node with id and optional seed.